---
title: list-style-position
slug: Web/CSS/list-style-position
tags:
  - CSS
  - CSS Lists
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>list-style-position</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the position of the {{cssxref("::marker")}} relative to a list item.</p>

<div>{{EmbedInteractiveExample("pages/css/list-style-position.html")}}</div>

<p>It is often more convenient to use the shorthand {{cssxref("list-style")}}.</p>

<div class="notecard note">
<p><strong>Note:</strong> This property is applied to list items, i.e., elements with <code>{{cssxref("display")}}: list-item;</code>. <a href="https://www.w3.org/TR/html5/rendering.html#lists">By default</a> this includes {{HTMLElement("li")}} elements. Because this property is inherited, it can be set on the parent element (normally {{HTMLElement("ol")}} or {{HTMLElement("ul")}}) to let it apply to all list items.</p>
</div>

<p>Note that there is variance among browsers regarding behavior when a block element is placed first within a list element declared as <code>list-style-position: inside</code>. Chrome and Safari both place this element on the same line as the marker box, whereas Firefox, Internet Explorer, and Opera place it on the next line. For more information on this, see {{bug(36854)}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
list-style-position: inside;
list-style-position: outside;

/* Global values */
list-style-position: inherit;
list-style-position: initial;
list-style-position: unset;
</pre>

<p>The <code>list-style-position</code> property is specified as one of the keyword values listed below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>inside</code></dt>
 <dd>The {{cssxref("::marker")}} is the first element among the list item's contents.</dd>
 <dt><code>outside</code></dt>
 <dd>The {{cssxref("::marker")}} is outside the principal block box.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_list_item_position">Setting list item position</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;ul class="inside"&gt;List 1
  &lt;li&gt;List Item 1-1&lt;/li&gt;
  &lt;li&gt;List Item 1-2&lt;/li&gt;
  &lt;li&gt;List Item 1-3&lt;/li&gt;
  &lt;li&gt;List Item 1-4&lt;/li&gt;
&lt;/ul&gt;
&lt;ul class="outside"&gt;List 2
  &lt;li&gt;List Item 2-1&lt;/li&gt;
  &lt;li&gt;List Item 2-2&lt;/li&gt;
  &lt;li&gt;List Item 2-3&lt;/li&gt;
  &lt;li&gt;List Item 2-4&lt;/li&gt;
&lt;/ul&gt;
&lt;ul class="inside-img"&gt;List 3
  &lt;li&gt;List Item 3-1&lt;/li&gt;
  &lt;li&gt;List Item 3-2&lt;/li&gt;
  &lt;li&gt;List Item 3-3&lt;/li&gt;
  &lt;li&gt;List Item 3-4&lt;/li&gt;
&lt;/ul&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush:css; notranslate">.inside {
  list-style-position: inside;
  list-style-type: square;
}

.outside {
  list-style-position: outside;
  list-style-type: circle;
}

.inside-img {
  list-style-position: inside;
  list-style-image: url("https://mdn.mozillademos.org/files/11979/starsolid.gif");
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Setting_list_item_position", 200, 420)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Lists', '#list-style-position-property', 'list-style-position')}}</td>
   <td>{{Spec2('CSS3 Lists')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'generate.html#propdef-list-style-position', 'list-style-position')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.list-style-position")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref("list-style")}}, {{Cssxref("list-style-type")}}, {{Cssxref("list-style-image")}}</li>
</ul>
